| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USART Parity Bit
USART Control Codes

Defines the parity bit. More...

## Macros

#define | ARM_USART_PARITY_NONE (0UL << ARM_USART_PARITY_Pos)
| No Parity (default)
#define | ARM_USART_PARITY_EVEN (1UL << ARM_USART_PARITY_Pos)
| Even Parity.
#define | ARM_USART_PARITY_ODD (2UL << ARM_USART_PARITY_Pos)
| Odd Parity.

## Description

Defines the parity bit.

## Macro Definition Documentation

#define ARM_USART_PARITY_EVEN (1UL << ARM_USART_PARITY_Pos)

Even Parity.

See Also
  ARM_USART_Control

#define ARM_USART_PARITY_NONE (0UL << ARM_USART_PARITY_Pos)

No Parity (default)

See Also
  ARM_USART_Control

#define ARM_USART_PARITY_ODD (2UL << ARM_USART_PARITY_Pos)

Odd Parity.

See Also
  ARM_USART_Control